<?php
/**
* @Copyright Copyright (C) 2010 www.profinvent.com. All rights reserved.
* @website http://www.profinvent.com
* @license GNU/GPL http://www.gnu.org/copyleft/gpl.html
* This program is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 2 of the License, or
* any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program.  If not, see <http://www.gnu.org/licenses/>.
**/

defined('_JEXEC') or die('Restricted access');

jimport('joomla.application.component.view');

class coursemanViewEmailtemplate extends JView
{
    function display($tpl = null)
    {
        global $mainframe;
        $childviewname = 'emailtemplate';

        if ($this->getLayout() == 'default')
        {
            $this->_displayForm($tpl);
            return;
        }

        $emailtemplate = &$this->get('data');

        if ($emailtemplate->url)
        {

            $mainframe->redirect($emailtemplate->url);
        }

        parent::display($tpl);
    }

    function _displayForm($tpl)
    {
        global $mainframe, $option;

        $db = &JFactory::getDBO();
        $uri = &JFactory::getURI();
        $user = &JFactory::getUser();
        $model = &$this->getModel();


        $lists = array();

        $emailtemplate = &$this->get('data');
    	$fields = &$this->get('fields');
        $isNew = ($emailtemplate->id < 1);

        /*if ($model->isCheckedOut($user->get('id')))
        {
            $msg = JText::sprintf('DESCBEINGEDITTED', JText::_('Email Template'), $emailtemplate->
                title);
            $mainframe->redirect('index.php?option=' . $option, $msg);
        }*/

        if (!$isNew)
        {
            //$model->checkout($user->get('id'));



            $this->assignRef('lists', $lists);
            $this->assignRef('emailtemplate', $emailtemplate);
        	$this->assignRef('fields', $fields);


            parent::display($tpl);
        } else
        {

            $file = JPATH_COMPONENT . DS . 'models' . DS . 'emailtemplate.xml';
            $params = new JParameter($emailtemplate->params, $file);

            $this->assignRef('lists', $lists);
            $this->assignRef('emailtemplate', $emailtemplate);
            $this->assignRef('params', $params);
        	$this->assignRef('fields', $fields);

            parent::display($tpl);
        }
    }
}