<?php
/**
* @Copyright Copyright (C) 2010 www.profinvent.com. All rights reserved.
* @website http://www.profinvent.com
* @license GNU/GPL http://www.gnu.org/copyleft/gpl.html
* This program is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 2 of the License, or
* any later version.
* 
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
* 
* You should have received a copy of the GNU General Public License
* along with this program.  If not, see <http://www.gnu.org/licenses/>.
**/

defined('_JEXEC') or die('Restricted access');

jimport('joomla.application.component.view');

class CoursemanViewParameters extends JView
{

    function display($tpl = null)
    {
        global $mainframe, $option;

        $user = &JFactory::getUser();
        $db = &JFactory::getDBO();
        $document = &JFactory::getDocument();
        $lang = &JFactory::getLanguage();

        JHTML::_('behavior.tooltip');


        $db = &JFactory::getDBO();
        $query = "SELECT params FROM #__components WHERE link='option=com_courseman' AND parent='0'";
        $db->setQuery($query);
        $jobsparams = $db->loadResult();
        $file = JPATH_ADMINISTRATOR . DS . 'components' . DS . 'com_courseman' . DS .
            'config.xml';
        $params = new JParameter($jobsparams, $file, 'component');

        $document->addStyleSheet('components/com_courseman/assets/css/coursemanbackend.css');
        if ($lang->isRTL())
        {
            $document->addStyleSheet('components/com_courseman/assets/css/coursemanbackend_rtl.css');
        }

        JSubMenuHelper::addEntry(JText::_('HOME'), 'index.php?option=com_courseman');
        JSubMenuHelper::addEntry(JText::_('courseS'),
            'index.php?option=com_courseman&view=courses');
        JSubMenuHelper::addEntry(JText::_('CATEGORIES'),
            'index.php?option=com_courseman&view=categories', true);
        JSubMenuHelper::addEntry(JText::_('TAGS'),
            'index.php?option=com_courseman&view=tags');
        JSubMenuHelper::addEntry(JText::_('ARCHIVE'),
            'index.php?option=com_courseman&view=archive');
        JSubMenuHelper::addEntry(JText::_('FILEMANAGER'),
            'index.php?option=com_courseman&view=filemanager');
        JSubMenuHelper::addEntry(JText::_('STATISTICS'),
            'index.php?option=com_courseman&view=stats');
        JSubMenuHelper::addEntry(JText::_('SETTINGS'),
            'index.php?option=com_courseman&view=settings');

        JToolBarHelper::title(JText::_('PARAMETERS'), 'generic.png');
        JToolBarHelper::save();
        JToolBarHelper::cancel();

        $this->assignRef('params', $params);


        parent::display($tpl);
    }
}

?>