<?php defined('_JEXEC') or die('Restricted access'); ?>

<?php JHTML::_('behavior.tooltip'); ?>
<?php JHTML::_('behavior.calendar'); ?>

<?php
	// Set toolbar items for the page
	$edit		= JRequest::getVar('edit',true);
	$text = !$edit ? JText::_( 'New' ) : JText::_( 'Edit' );
	JToolBarHelper::title(   JText::_( 'Session' ).': <span class="small">[ ' . $text.' ]</span>' );
	JToolBarHelper::save();
	if (!$edit)  {
		JToolBarHelper::cancel();
	} else {
		// for existing items the button is renamed `close`
		JToolBarHelper::cancel( 'cancel', 'Close' );
	}
	JToolBarHelper::help( 'courseman.help', 1 );
?>

<script language="javascript" type="text/javascript">
	function submitbutton(pressbutton) {
		var form = document.adminForm;
		if (pressbutton == 'cancel') {
			submitform( pressbutton );
			return;
		}

		// do field validation
		if (form.title.value == ""){
			alert( "<?php echo JText::_( 'Session must contain a title', true ); ?>" );
		} else if (form.courseid.value == "0"){
			alert( "<?php echo JText::_( 'Session must have a course', true ); ?>" );
		} else if (form.session_date.value == ""){
			alert( "<?php echo JText::_( 'Please set a date', true ); ?>" );
		} else {
			submitform( pressbutton );
		}
	}
</script>

<form action="index.php" method="post" name="adminForm" id="adminForm">
<div class="col width-50">
	<fieldset class="adminform">
		<legend><?php echo JText::_( 'Details' ); ?></legend>

		<table class="admintable">
        <tr>
			<td class="key vtop right">
				<label for="course_title">
					<?php echo JText::_( 'Course' ); ?>:
				</label>
			</td>
			<td>
				<?php echo $this->lists['courseid'];?>
			</td>
		</tr>
     <tr>
			<td class="key vtop right">
				<label for="title">
					<?php echo JText::_( 'Title' ); ?>:
				</label>
			</td>
			<td>
				<input class="text_area" type="text" name="title" id="title" size="32" maxlength="100" value="<?php echo $this->session->title;?>" />
			</td>
		</tr>
     	<tr>
			<td class="key proc100 right">
				<label for="alias">
					<?php echo JText::_( 'Alias' ); ?>:
				</label>
			</td>
			<td>
				<input class="text_area" type="text" name="alias" id="alias" size="32" maxlength="250" value="<?php echo $this->session->alias;?>" />
			</td>
		</tr>
     <tr>
			<td class="key vtop right">
				<label for="session_day">
					<?php echo JText::_( 'Day' ); ?>:
				</label>
			</td>
			<td>
				<?php echo $this->lists['session_date'];?>
			</td>
		</tr>
      <tr>
			<td class="key vtop right">
				<label for="start_time">
					<?php echo JText::_( 'Session Start Time' ); ?>:
				</label>
			</td>
			<td>
				<input class="text_area" type="text" name="start_time" id="start_time" size="10" maxlength="8" onChange="copyStartTime();" value="<?php echo date('H:i', strtotime($this->session->start_time));?>" />
			</td>
		</tr>
        <tr>
			<td class="key vtop right">
				<label for="finish_time">
					<?php echo JText::_( 'Session Finish Time' ); ?>:
				</label>
			</td>
			<td>
				<input class="text_area" type="text" name="finish_time" id="finish_time" size="10" maxlength="8" value="<?php echo date('H:i', strtotime($this->session->finish_time));?>" />
			</td>
		</tr>


        <tr>
			<td class="key vtop right">
				<label for="duration">
					<?php echo JText::_( 'Total Duration' ); ?>:
				</label>
			</td>
			<td>
				<input class="text_area" type="text" name="duration" id="duration" size="10" maxlength="10" value="<?php echo $this->session->duration;?>" />
			</td>
		</tr>


     <tr>
			<td class="key vtop right">
				<label for="session_location">
					<?php echo JText::_( 'Room' ); ?>:
				</label>
			</td>
			<td>
				<input class="text_area" type="text" name="session_location" id="session_location" size="32" maxlength="100" value="<?php echo $this->session->session_location;?>" />
			</td>
		</tr>

        <tr>
			<td class="key vtop right">
				<?php echo JText::_( 'Published' ); ?>:
			</td>
			<td>
				<?php echo $this->lists['published']; ?>
			</td>
		</tr>
 		<tr>
			<td class="key vtop right">
				<label for="ordering">
					<?php echo JText::_( 'Ordering' ); ?>:
				</label>
			</td>
			<td>
				<?php echo $this->lists['ordering']; ?>
			</td>
		</tr>
	</table>
	</fieldset>
</div>
<div class="col width-50">
	<fieldset class="adminform">
		<legend><?php echo JText::_( 'Parameters' ); ?></legend>

		<table class="admintable">
		<tr>
			<td colspan="2">
				<?php echo $this->params->render();?>
			</td>
		</tr>
		</table>
	</fieldset>
</div>

<div class="col width-50">
	<fieldset class="adminform">
		<legend><?php echo JText::_( 'Description' ); ?></legend>

		<table class="admintable">
		<tr>
			<td>
				<textarea class="text_area" cols="44" rows="12" name="description" id="description"><?php echo $this->session->description; ?></textarea>
			</td>
		</tr>
		</table>
	</fieldset>
</div>
<div class="clr"></div>

	<input type="hidden" name="option" value="com_courseman" />
        <input type="hidden" name="controller" value="session" />
	<input type="hidden" name="cid[]" value="<?php echo $this->session->id; ?>" />
	<input type="hidden" name="task" value="" />
	<?php echo JHTML::_( 'form.token' ); ?>
</form>