<?php
/**
* @Copyright Copyright (C) 2010 www.profinvent.com. All rights reserved.
* @website http://www.profinvent.com
* @license GNU/GPL http://www.gnu.org/copyleft/gpl.html
**/

defined('_JEXEC') or die('Restricted access');

?>
<script type="text/javascript">

	function tableOrdering( order, dir, task )
	{
		var form = document.getElementById("adminForm");

		form.filter_order.value 	= order;
		form.filter_order_Dir.value	= dir;
		document.getElementById("adminForm").submit( task );
	}
</script>

<div id="courseman" class="courseman">



<?php

if ($this->params->def('show_page_title', 1)):

?>

    <h1 class="componentheading">
		<?php

    echo $this->params->get('page_title');

?>
	</h1>

<?php

endif;

?>

<h2 class="courseman bookings">
	<?php

echo JText::_('YOUR BOOKED COURSES') . ': ';

?>
</h2>

<?php

if (!count($this->courses)):

?>

	<div class="note">
		<?php

    echo JText::_('NO CURRENT BOOKINGS');

?>
	</div>

<?php

else:

?>

<?php

if ($this->params->get('filter') || $this->params->get('display')):

?>

<form action="<?php

echo $this->action;

?>" method="post" id="adminForm">

<div id="qf_filter" class="floattext">
		<?php

		if ($this->params->get('filter')):

		?>
		<div class="qf_fleft"><?php

		echo JText::_('COURSE:');

		?>
			<input type="text" name="filter" id="filter" value="<?php

			echo $this->lists['filter'];

			?>" class="text_area" size="15"/>
<?php

echo $this->lists['filter_experience_level'];

?>
			<button onclick="document.getElementById('adminForm').submit();"><?php

			echo JText::_('GO');

			?></button>
			<button onclick="document.getElementById('filter').value='';document.getElementById('filter_experience_level').value=0;document.getElementById('adminForm').submit();"><?php

			echo JText::_('RESET');

			?></button>
		</div>
		<?php

		endif;

		?>
		<?php

		if ($this->params->get('display')):

		?>
		<div class="qf_fright">
			<?php

			echo '<label for="limit">' . JText::_('Display Num') . '</label>&nbsp;';
			echo $this->pageNav->getLimitBox();

			?>
		</div>
		<?php

		endif;

		?>
</div>
<?php

endif;

?>

<table class="coursemancoursetable" summary="courseman">
	<thead>
			<tr>
<?php if ( $this->params->get( 'show_icons' ) ) : ?>
   <td class="proc2 centered sectiontableheader<?php echo $this->params->get( 'pageclass_sfx' ); ?>">
      <?php echo JText::_('#'); ?>
   </td>
   <?php else: ?>
  <td class="pix3 centered">
  </td>
   <?php endif; ?>

				<th id="qf_title" class="sectiontableheader"><?php

echo JHTML::_('grid.sort', JText::_('COURSE TITLE'), 'i.title', $this->lists['filter_order_Dir'],
	$this->lists['filter_order']);

				?></th>
				<th id="qf_start_date" class="sectiontableheader"><?php

				echo JText::_('START DATE');

				?></th>
				<th id="qf_finish_date" class="sectiontableheader"><?php

				echo JText::_('FINISH DATE');

				?></th>
				<th id="qf_price" class="sectiontableheader"><?php

echo JHTML::_('grid.sort', JText::_('PRICE'), 'i.price', $this->lists['filter_order_Dir'],
	$this->lists['filter_order']);

				?></th>

				<?php

				if ($this->params->get('enable_paypal')):

				?>
					<th id="qf_application" class="sectiontableheader"><?php

					echo JText::_('PAY ONLINE');

					?></th>
				<?php

				endif;

				?>
			</tr>
	</thead>

	<tbody>

	<?php

	foreach ($this->courses as $course):
	//$htmlclassnumber = $course->odd + 1;
	$itemParams = new JParameter($course->attribs);

	?>
  			<tr class="sectiontableentry" >
    			 <?php if ( $itemParams->get('show_icons', $this->params->get( 'show_icons' ))) : ?>
   <td headers="qf_publish_up">
         <?php
         echo $this->pageNav->getRowOffset( $course->count ); ?>
   </td>
 <?php else: ?> <td headers="qf_publish_up"></td>
 <?php endif; ?>
				</td>
				<td headers="qf_title">
    				<strong><a href="<?php

    				echo JRoute::_('index.php?view=courses&cid=' . $this->category->slug . '&id=' . $course->
    				    slug);

    				?>"><?php

    				echo $this->escape($course->title);
    				?></a></strong><?php
    				echo $course->show_new_icon;
    				echo $course->show_sale_icon;
    				?>


				</td>
		    			<td headers="qf_start_date">
    				<?php

    				//echo date('d-M-y', strtotime($course->start_date));
    				echo $course->start_date;

    				?>
				</td>
    			<td headers="qf_finish_date">
    				<?php

    				//echo date('d-M-y', strtotime($course->finish_date));
    				echo $course->finish_date;

    				?>
				</td>
    			<td headers="qf_price">
    				<?php

    				echo $course->price . ' '. $course->currency_price.' ' . $course->price_type;

    				?>
				</td>
 				<?php

 				if ($this->params->get('enable_paypal')):

 				?>
					<td headers="qf_book"><?php echo $course->book_link; ?>


					</td>
				<?php

				endif;

				?>

			</tr>
<?php if ($course->introtext):?>
			<tr><td colspan="7"><?php echo ($course->introtext); ?></td></tr>
<?php endif; ?>
			<tr><td colspan="7">
			<div class="tabulka">
<div class="radek">
<?php if ($itemParams->get('show_hits', $this->params->get('show_hits'))): ?>
  	<div class="bunka hlavicka"><div class="matrjoska">
<?php echo JText::_('HITS').': '.$course->hits; ?>
  	</div></div>
<?php endif; ?>
<?php if ($itemParams->get('show_hyperlink', $this->params->get('show_hyperlink'))&& $course->url<>"http://"):?>
  	<div class="bunka hlavicka"><div class="matrjoska">
<?php echo $course->link;?>
  	</div></div>
<?php endif; ?>
<?php if ($itemParams->get('show_tutor', $this->params->get('show_tutor'))):?>
  	<div class="bunka hlavicka"><div class="matrjoska">
<?php echo JText::_('Tutor').': '.$course->tutor;?>
  	</div></div>
<?php endif; ?>
<?php if ($itemParams->get('show_location', $this->params->get('show_location'))):?>
<div class="bunka hlavicka"><div class="matrjoska">
<?php echo JText::_('Location').': '.$course->location;?>
  	</div></div>
<?php endif; ?>
<?php if ($itemParams->get('show_group', $this->params->get('show_group'))):?>
<div class="bunka hlavicka"><div class="matrjoska">
<?php echo JText::_('Group').': '.$course->cgroup;?>
  	</div></div>
<?php endif; ?>
<?php if ($itemParams->get('show_experience_level', $this->params->get('show_experience_level'))):?>
<div class="bunka hlavicka"><div class="matrjoska">
<?php echo JText::_('Level').': '.$course->level;?>
  	</div></div>
<?php endif; ?>
<?php if ($itemParams->get('show_capacity', $this->params->get('show_capacity'))): ?>
<div class="bunka hlavicka"><div class="matrjoska">
<?php echo JText::_( 'Capacity: ' );?>
<?php if ( $itemParams->get('current_capacity', $this->params->get( 'current_capacity' ))) : ?>
      <?php echo $course->currentBookings.JText::_( 'of' ); ?>
      <?php endif; ?>
	  <?php echo $course->capacity; ?>
  	</div></div>
<?php endif; ?>
</div>
<div class="cl"></div>
</div>

</div>


			</td></tr>
	<?php

	endforeach;

	?>

	</tbody>
</table>

<?php

if ($this->params->get('filter') || $this->params->get('display')):

?>

	<p>
	<input type="hidden" name="option" value="com_courseman" />
	<input type="hidden" name="filter_order" value="<?php

        echo $this->lists['filter_order'];

?>" />
	<input type="hidden" name="filter_order_Dir" value="" />
	<input type="hidden" name="view" value="bookings" />
	<input type="hidden" name="task" value="" />
	</p>
	</form>

	<?php

    endif;

?>

<?php

endif;

?>

</div>