<?php
/**
* @Copyright Copyright (C) 2010 www.profinvent.com. All rights reserved.
* @website http://www.profinvent.com
* @license GNU/GPL http://www.gnu.org/copyleft/gpl.html
* This program is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 2 of the License, or
* any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program.  If not, see <http://www.gnu.org/licenses/>.
**/
// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );
require_once (JPATH_COMPONENT_SITE.DS.'classes'.DS.'courseman.helper.php');
require_once (JPATH_COMPONENT_SITE.DS.'classes'.DS.'courseman.categories.php');

// Set the table directory
JTable::addIncludePath(JPATH_COMPONENT.DS.'tables');

//Set filepath
$params =& JComponentHelper::getParams('com_courseman');
define('COM_courseman_FILEPATH',    JPATH_ROOT.DS.$params->get('file_path', 'components/com_courseman/upload'));
define('COM_COURSEMAN_IMAGEPATH',    JPATH_ROOT.DS.$params->get('image_path', 'images/stories'));
define('COM_courseman_CVFILEPATH',    JPATH_ROOT.DS.$params->get('cv_file_path', 'components/com_courseman/upload/cv'));
define('COM_courseman_UPLOADEDCVFILEPATH',    JPATH_ROOT.DS.$params->get('uploaded_cv_file_path', 'components/com_courseman/upload/user_cv'));

// Require the base controller
require_once (JPATH_COMPONENT.DS.'controller.php');

// Require specific controller if requested
if( $controller = JRequest::getWord('controller') ) {
	$path = JPATH_COMPONENT.DS.'controllers'.DS.$controller.'.php';
	if (file_exists($path)) {
		require_once $path;
	} else {
		$controller = '';
	}
}

//Create the controller
$classname  = 'CoursemanController'.$controller;
$controller = new $classname( );

// Perform the Request task
$controller->execute( JRequest::getWord('task'));
$controller->redirect();
?>