<?php
/**
* @Copyright Copyright (C) 2010 www.profinvent.com. All rights reserved.
* @website http://www.profinvent.com
* @license GNU/GPL http://www.gnu.org/copyleft/gpl.html
* This program is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 2 of the License, or
* any later version.
* 
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
* 
* You should have received a copy of the GNU General Public License
* along with this program.  If not, see <http://www.gnu.org/licenses/>.
**/

defined('_JEXEC') or die();


class JElementTag extends JElement
{
    var $_name = 'Name';

    function fetchElement($name, $value, &$node, $control_name)
    {
        $doc = &JFactory::getDocument();
        $fieldName = $control_name . '[' . $name . ']';

        JTable::addIncludePath(JPATH_ADMINISTRATOR . DS . 'components' . DS .
            'com_courseman' . DS . 'tables');

        $course = &JTable::getInstance('courseman_tags', '');
        if ($value)
        {
            $course->load($value);
        } else
        {
            $course->name = JText::_('SELECT TAG');
        }

        $js = "
		function qfSelectTag(id, title) {
			document.getElementById('a_id').value = id;
			document.getElementById('a_name').value = title;
			document.getElementById('sbox-window').close();
		}";

        $link = 'index.php?option=com_courseman&amp;view=tagelement&amp;tmpl=component';
        $doc->addScriptDeclaration($js);

        JHTML::_('behavior.modal', 'a.modal');

        $html = "\n<div style=\"float: left;\"><input style=\"background: #ffffff;\" type=\"text\" id=\"a_name\" value=\"$course->name\" disabled=\"disabled\" /></div>";
        $html .= "<div class=\"button2-left\"><div class=\"blank\"><a class=\"modal\" title=\"" .
            JText::_('Select') . "\"  href=\"$link\" rel=\"{handler: 'iframe', size: {x: 650, y: 375}}\">" .
            JText::_('Select') . "</a></div></div>\n";
        $html .= "\n<input type=\"hidden\" id=\"a_id\" name=\"$fieldName\" value=\"$value\" />";

        return $html;
    }
}

?>