<?php
/**
* @Copyright Copyright (C) 2010 www.profinvent.com. All rights reserved.
* @website http://www.profinvent.com
* @license GNU/GPL http://www.gnu.org/copyleft/gpl.html
* This program is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 2 of the License, or
* any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program.  If not, see <http://www.gnu.org/licenses/>.
**/

defined('_JEXEC') or die('Restricted access');

class TableApplication extends JTable
{
    var $id = null;

    var $course_id = null;

    var $user_id = null;
	var $status = null;

    var $first_name = null;


    var $last_name = null;
    var $salutation = null;
	var $price_per_attendee = null;
    var $price_total = null;
    var $email = null;
    var $attendees = null;
    var $comments = null;

    var $date = null;

    var $hits = null;

    var $published = null;


    var $checked_out = 0;

    var $checked_out_time = 0;

    var $ordering = null;

    var $archived = null;

    var $approved = null;

    var $params = null;
    var $coupon_discount = null;
    var $coupon_code = null;
	    var $order_discount = null;
			    var $order_tax = null;




    function __construct(&$db)
    {
        parent::__construct('#__courseman_application', 'id', $db);
    }

    function bind($array, $ignore = '')
    {
        if (key_exists('params', $array) && is_array($array['params']))
        {
            $registry = new JRegistry();
            $registry->loadArray($array['params']);
            $array['params'] = $registry->toString();
        }

        return parent::bind($array, $ignore);
    }

    function check()
    {


        if (trim($this->first_name) == '')
        {
            $this->setError(JText::_('The application must contain a first name.'));
            return false;
        }


        if (trim($this->last_name) == '')
        {
            $this->setError(JText::_('The application must contain a last name.'));
            return false;
        }









        return true;
    }
}