<?php
/**
 * @version $Id: 1.5.4 2009-10-15
 * @package			Course Manager
 * @subpackage		Component
 * @author			Profinvent {@link http://www.profinvent.com}
 * @copyright 		(C) Profinvent - Joomla Experts
 * @license   		GNU/GPL
 */

// no direct access
defined('_JEXEC') or die('Restricted access');

/**
* course Table class
*
* @package		Course Manager
* @subpackage	courseman
* @since 1.5.0
*/
class Tabletutor extends JTable
{
	/**
	 * Primary Key
	 *
	 * @var int
	 */
	var $id = null;
		var $user_id = null;
		var $title = null;
		var $alias = null;
		var $code = null;

	var $firstname = null;
		var $lastname = null;
		var $salutation = null;
		var $other_title = null;
		var $comp_name = null;
		var $primary_phone = null;
		var $fax_number = null;
		var $url = null;
		var $street = null;
		var $id_country = null;
		var $state = null;
		var $city = null;
		var $zip = null;
		var $id_comp_type = null;
		var $industry = null;
		var $description = null;
		var $logofilename= null;
		var $bill_addr= null;
			var $bill_addr_cont= null;
			var $bill_id_country= null;
		var $bill_state= null;
			var $bill_city= null;
			var $bill_zip= null;
			var $bill_phone= null;
			var $metadescription= null;
	var $metakeywords= null;
var $status= null;
	var $date= null;
	var $hits= null;
	var $published= null;
	var $checked_out= null;
	var $checked_out_time= null;
		var $ordering= null;
		var $archived= null;
		var $approved= null;
		var $params= null;


	/**
	 * Constructor
	 *
	 * @param object Database connector object
	 * @since 1.0
	 */
	function __construct(& $db) {
		parent::__construct('#__courseman_tutor', 'id', $db);
	}

	/**
	* Overloaded bind function
	*
	* @acces public
	* @param array $hash named array
	* @return null|string	null is operation was satisfactory, otherwise returns an error
	* @see JTable:bind
	* @since 1.5
	*/
	function bind($array, $ignore = '')
	{
		if (key_exists( 'params', $array ) && is_array( $array['params'] ))
		{
			$registry = new JRegistry();
			$registry->loadArray($array['params']);
			$array['params'] = $registry->toString();
		}

		return parent::bind($array, $ignore);
	}

	/**
	 * Overloaded check method to ensure data integrity
	 *
	 * @access public
	 * @return boolean True on success
	 * @since 1.0
	 */
	function check()
	{

		/** check for valid name */
		//if (trim($this->lastname) == '') {
		//	$this->setError(JText::_('The tutor must contain a name.'));
		//	return false;
		//}

		/** check for existing name */
		$query = 'SELECT id FROM #__courseman_tutor WHERE alias = '.$this->_db->Quote($this->lastname);
		$this->_db->setQuery($query);

		$xid = intval($this->_db->loadResult());
		if ($xid && $xid != intval($this->id)) {
			$this->setError(JText::sprintf('WARNNAMETRYAGAIN', JText::_('tutor')));
			return false;
		}

		if(empty($this->alias)) {
			$this->alias = $this->lastname;
		}
		$this->alias = JFilterOutput::stringURLSafe($this->alias);
		if(trim(str_replace('-','',$this->alias)) == '') {
			$datenow =& JFactory::getDate();
			$this->alias = $datenow->toFormat("%Y-%m-%d-%H-%M-%S");
		}

		return true;
	}
}