<?php
/**
* @Copyright Copyright (C) 2010 www.profinvent.com. All rights reserved.
* @website http://www.profinvent.com
* @license GNU/GPL http://www.gnu.org/copyleft/gpl.html
* This program is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 2 of the License, or
* any later version.
* 
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
* 
* You should have received a copy of the GNU General Public License
* along with this program.  If not, see <http://www.gnu.org/licenses/>.
**/

defined('_JEXEC') or die('Restricted access');

jimport('joomla.application.component.view');

class CoursemanViewTagelement extends JView
{

    function display($tpl = null)
    {
        global $mainframe, $option;

        $db = &JFactory::getDBO();
        $document = &JFactory::getDocument();
        $lang = &JFactory::getLanguage();
        $template = $mainframe->getTemplate();

        JHTML::_('behavior.tooltip');
        JHTML::_('behavior.modal');

        $filter_order = $mainframe->getUserStateFromRequest($option .
            '.tags.filter_order', 'filter_order', 't.name', 'cmd');
        $filter_order_Dir = $mainframe->getUserStateFromRequest($option .
            '.tags.filter_order_Dir', 'filter_order_Dir', '', 'word');
        $search = $mainframe->getUserStateFromRequest($option . '.tags.search', 'search',
            '', 'string');
        $search = $db->getEscaped(trim(JString::strtolower($search)));

        $document->setTitle(JText::_('SELECTcourse'));
        $document->addStyleSheet('templates/' . $template . '/css/general.css');

        $document->addStyleSheet('components/com_courseman/assets/css/courseman.css');
        if ($lang->isRTL())
        {
            $document->addStyleSheet('components/com_courseman/assets/css/coursemanbackend_rtl.css');
        }

        $rows = &$this->get('Data');
        $pageNav = &$this->get('Pagination');

        $lists['search'] = $search;

        $lists['order_Dir'] = $filter_order_Dir;
        $lists['order'] = $filter_order;

        $this->assignRef('lists', $lists);
        $this->assignRef('rows', $rows);
        $this->assignRef('pageNav', $pageNav);
        $this->assignRef('direction', $lang);

        parent::display($tpl);
    }

}

?>