<?php
/**
* @Copyright Copyright (C) 2010 www.profinvent.com. All rights reserved.
* @website http://www.profinvent.com
* @license GNU/GPL http://www.gnu.org/copyleft/gpl.html
* This program is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 2 of the License, or
* any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program.  If not, see <http://www.gnu.org/licenses/>.
**/


defined('_JEXEC') or die('Restricted access');

function com_install()
{

    // if com_courseman already installed
    if(JComponentHelper::getComponent('com_courseman', true)->enabled) {
       // do upgrade
       echo JText::_('Detected previous version of the component.').'<br />';
       echo '<p style="text-align:center;font-size:2em;"><a href="index.php?option=com_courseman&amp;controller=install&amp;task=upgrade">'.JText::_('Click here to finish upgrade process').'</a></p>';
    } else {
        // do install
        echo '<p style="text-align:center;font-size:2em;"><a style="font-size:1.5em;" href="index.php?option=com_courseman&amp;controller=install&amp;task=install">'.JText::_('Click here to finish installation process').'</a></p>';
    }
?>

<div style="text-align:center;">
    <p><span style="color:#f00">WARNING!</span> This step is required to complete the installation.
    Also, please read info bellow. Thank you and enjoy the component.</p>
<table style="width:100%;border:none;border-spacing:4px;" class="adminlist">
	<tr>
		<td colspan="2" style="width: 100%;vertical-align:top;">
    		<img src="<?php echo 'components/com_courseman/assets/images/logo.png';?>" height="72" width="330" alt="Profinvent Logo" align="left" />
		</td>
                </tr><tr>
		<td colspan="2" style="width: 100%;vertical-align:top;">
       	 	<strong>Course Manager Extension - directory and booking component for Joomla!</strong><br/>
        	<span class="font-size:0.8em;">by <a href="http://www.joomla.profinvent.com" target="_blank">Profinvent</a><br/>
        	<br/>Before you start adding tutors, categories, tags and events, please do the following:<br/>
        	- Go to Dashboard > Settings > Component Configurations and setup the component<br/>
        	- Go to Dashboard > Settings > Reference Tables and add required referencial information<br/>
        	- Go to Dashboard > Settings > Custom Fields and add fields for your application forms<br/>
        	- Go to Dashboard > Settings > Email Templates and modify the existing templates to your needs<br/>
		</span></td>
	</tr>
</table>
</div>
<?php } ?>